Subject: [Lime] Passive performance measurement methods

From: Gregory Mirsky <[email-masked]>
Date: Sun, 29 May 2016 02:09:58 +0000

Dear All,
out of our review of the draft-kumar-lime-yang-connectionless-oam I took AP to provide reference to the definition of Passive Method. RFC 7799<https://tools.ietf.org/html/rfc7799> Active and Passive Metrics and Methods  (with Hybrid Types In-Between) is product of discussions in IPPM WG. Section 3.6 opens with the detailed definition:
   Passive Methods of Measurement are:

   o  based solely on observations of an undisturbed and unmodified
      packet stream of interest (in other words, the method of
      measurement MUST NOT add, change, or remove packets or fields or
      change field values anywhere along the path).

   o  dependent on the existence of one or more packet streams to supply
      the stream of interest.

   o  dependent on the presence of the packet stream of interest at one
      or more designated Observation Points.

We've discussed whether methods that do alter a flow can be considered truly Passive. The agreement was that if introduced change does not affect treatment of the flow in the network, then the method can be considered Passive. For example, marking method that uses special field that not used in forwarding and/or in policing/scheduling. At the same time, if the marking method changes treatment of the flow, then it cannot be considered Passive but likely can be characterized as Hybrid (see discussion in Section 3.8. To the same category belong methods that alter packet length.

                Regards,
                                Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 29 May 2016 22:34:44 +0000

Thank you, Greg.

In my view, this might still be a bit of a gray area, where we need to early converge on definitions. I recommend linking with Al/ippm to review.

Here’s an additional variable on the definition equation: there’s an area of measurement that is considered “passive marking methods”, meaning use existing traffic (and not inject synthetic packets), but slightly modify them / mark them. One such example is in draft-tempia-ippm-p3m-03, and in particular an area where you are a bit familiar with: https://tools.ietf.org/html/draft-tempia-ippm-p3m-03#section-4.3 :-)

So setting specific bits in packets that do not modify the protocol behavior is not “truly passive”, but it is “kinda passive”.

Consequently, perhaps we need to find other definitions of in-band vs. out-of-band.

Active — artificial packets injected.
Passive — existing unmodified packets.
??? — existing packets with slightly appended data.

Thoughts?

Thanks,

— Carlos.

On May 28, 2016, at 10:09 PM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,

We’ve discussed whether methods that do alter a flow can be considered truly Passive. The agreement was that if introduced change does not affect treatment of the flow in the network, then the method can be considered Passive. For example, marking method that uses special field that not used in forwarding and/or in policing/scheduling. At the same time, if the marking method changes treatment of the flow, then it cannot be considered Passive but likely can be characterized as Hybrid (see discussion in Section 3.8. To the same category belong methods that alter packet length.

                Regards,
                                Greg
_______________________________________________
Lime mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lime

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 01:38:14 +0000

Hi Carlos,
I’d refer the group to IPv6 Performance and Diagnostic Metrics (PDM) Destination Option<https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/> draft that uses IPv6 extension header. I believe that IPPM WG agreed that this is an example of hybrid method as it is clearly not passive (changes length of the packet) and not active as it does not generate special test packets to perform measurements.
As for marking method, the consensus was that in some cases it may behave as passive methods.

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Sunday, May 29, 2016 3:35 PM
To: Gregory Mirsky
Cc: [email-masked]
Subject: Re: [Lime] Passive performance measurement methods

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Qin Wu <[email-masked]>
Date: Mon, 30 May 2016 02:23:14 +0000

发件人: Lime [mailto:[email-masked]] 代表 Carlos Pignataro (cpignata)
发送时间: 2016年5月30日 6:35
收件人: Gregory Mirsky
抄送: [email-masked]
主题: Re: [Lime] Passive performance measurement methods

Thank you, Greg.

Thoughts?

[Qin]: Is active passive only limited to PM?
What’s the difference between injecting the artificial packets and appending data in the existing packets, it looks the latter is also called piggyback method as mentioned by Greg.
For active, besides injecting artificial packets, you may also need to consider generating OAM packet for measurement, if the OAM packet generated goes the same way as user traffic, it is in band, if it goes the different way, it is out-band.

I read some drafts discussed in IPPM, it looks generating OAM packet for measurement or defining dedicated PM protocol for measurement is labeled as passive method, which make me confused, can somebody clarify this a little bit to me?

Also I want to understand whether piggyback method is passive or hybrid?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 02:59:05 +0000

Hi Qin,
you’ve said:
“I read some drafts discussed in IPPM, it looks generating OAM packet for measurement or defining dedicated PM protocol for measurement is labeled as passive method …”
Generating special test packets is clearly characteristic of active OAM. Defining dedicated PM protocol is neither active, nor passive by itself. For example, draft-mirsky-bier-pmmm-oam describes how the marking method can be applied in BIER domain. Since it proposes to use field that neither used for determining the next hop, nor QoS treatment BIER network processes the marked packet absolutely the same way as unmarked. But if we decide to apply the marking method, for example, to IPv4 domain using , e.g. part of the DSCP field, then, obviously, marked packets may be treated differently.
And I curious, which drafts suggest that generating OAM packets produces passive method?

                Regards,
                                Greg

From: Qin Wu [mailto:[email-masked]]
Sent: Sunday, May 29, 2016 7:23 PM
To: Carlos Pignataro (cpignata); Gregory Mirsky
Cc: [email-masked]
Subject: RE: [Lime] Passive performance measurement methods

发件人: Lime [mailto:[email-masked]] 代表 Carlos Pignataro (cpignata)
发送时间: 2016年5月30日 6:35
收件人: Gregory Mirsky
抄送: [email-masked]<mailto:[email-masked]>
主题: Re: [Lime] Passive performance measurement methods

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Qin Wu <[email-masked]>
Date: Mon, 30 May 2016 03:30:39 +0000

发件人: Lime [mailto:[email-masked]] 代表 Gregory Mirsky
发送时间: 2016年5月30日 10:59
收件人: Qin Wu; Carlos Pignataro (cpignata)
抄送: [email-masked]
主题: Re: [Lime] Passive performance measurement methods

Hi Qin,
you’ve said:
“I read some drafts discussed in IPPM, it looks generating OAM packet for measurement or defining dedicated PM protocol for measurement is labeled as passive method …”
Generating special test packets is clearly characteristic of active OAM.

[Qin]: That’s my understanding.

Defining dedicated PM protocol is neither active, nor passive by itself.

[Qin]: I thought dedicated PM protocol message is one special example of special test packet.

For example, draft-mirsky-bier-pmmm-oam describes how the marking method can be applied in BIER domain. Since it proposes to use field that neither used for determining the next hop, nor QoS treatment. BIER network processes the marked packet absolutely the same way as unmarked. But if we decide to apply the marking method, for example, to IPv4 domain using , e.g. part of the DSCP field, then, obviously, marked packets may be treated differently.

[Qin]: Not sure I get this. Usually dedicated PM protocol doesn’t need to take the same path as user traffic. One example of dedicated PM protocol is OWAMP or TWAMP protocol. Another example of dedicated PM protocol is MPLS PM protocol. MPLS PM protocol define Loss measurement Message format, Delay Measurement Message format.
What you proposed in draft-mirsky-bier-pmmm-oam is you extend BIER header with OAM support, which is in-band method. But you didn’t define dedicated OAM protocol or PM protocol for measurement, based on my understanding.

[Qin]: See 3rd paragraph of section 1 in draft-chen-ippm-coloring-based-ipfpm-framework-06
You are also coauthor of this draft,☺.  In this draft, MPLS PM protocol [RFC6374] is categorized as passive measurement which I thought it should be active measurement.
Passive, in my understanding means you don’t change packet header or payload, you don’t define new PM protocol, you just rely on network probe to get a copy of user traffic and use them to collect some metrics.

                Regards,
                                Greg

Cc: [email-masked]<mailto:[email-masked]>

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 04:53:23 +0000

Hi Qin,
thank you for your most expedient response. Please find my notes in-line and tagged GIM>>.

                Regards,
                                Greg

From: Qin Wu [mailto:[email-masked]]
Sent: Sunday, May 29, 2016 8:31 PM
To: Gregory Mirsky; Carlos Pignataro (cpignata)
Cc: [email-masked]
Subject: RE: [Lime] Passive performance measurement methods

Hi Qin,
you’ve said:

[Qin]: Not sure I get this. Usually dedicated PM protocol doesn’t need to take the same path as user traffic.
GIM>> If OAM packets don’t share the path, i.e. are in-band, with the data flow that is being monitored/measured that is a problem, not desired behavior.

One example of dedicated PM protocol is OWAMP or TWAMP protocol.
GIM>> Yes, in ECMP environment OWAMP/TWAMP test packet not guaranteed to follow the same path and the flow being monitored. Unfortunately.

Another example of dedicated PM protocol is MPLS PM protocol. MPLS PM protocol define Loss measurement Message format, Delay Measurement Message format.
GIM>> I cannot agree that MPLS PM would not follow the path of the same LSP it shares label with if we use GAL label and do hashing based on EL.

What you proposed in draft-mirsky-bier-pmmm-oam is you extend BIER header with OAM support, which is in-band method. But you didn’t define dedicated OAM protocol or PM protocol for measurement, based on my understanding.
GIM>> You use terminology I’m not familiar with. Note, that the PMMM-OAM draft doesn’t extend the BIER in MPLS network header but proposes new field and thus there’s no impact on any experimental implementation there may exist. Besides, BIER in MPLS network already recognizes OAM as distinct payload and that ensures that all active OAM, whether fault management or performance measurement, are in-band with data transported over BIER. Which is what is required behavior.

[Qin]: See 3rd paragraph of section 1 in draft-chen-ippm-coloring-based-ipfpm-framework-06
You are also coauthor of this draft,☺.  In this draft, MPLS PM protocol [RFC6374] is categorized as passive measurement which I thought it should be active measurement.
GIM>> To be precise, the draft says “could be considered an example of a passive performance measurement method”, i.e. assumes that it may be viewed. It was written before we had discussion that resulted in RFC 7799 that clarified the definitions. We’ll discuss and update in the next version, thank you.
Passive, in my understanding means you don’t change packet header or payload, you don’t define new PM protocol, you just rely on network probe to get a copy of user traffic and use them to collect some metrics.
GIM>> Copying traffic, i.e. mirroring it may or may not be classified as passive method, in my opinion, as that would depend upon number of copied packets and whether copies being transported in-band or over separate management network.

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Qin Wu <[email-masked]>
Date: Mon, 30 May 2016 07:14:37 +0000

Hi, Greg:
Thanks for your clarification, It looks you agree that MPLS PM protocol provides active measurement method.
But unlike OWAMP, TWMAP(could be out band), MPLS PM provides an in-band measurement method.
So we see the relation between active, passive and in-band and out-band.
Based on use cases you mentioned, not all the in-band methods are active measurement methods. Not all passive method are out-band.
Unfortunately RFC7799 doesn’t clarify this or gives any criteria.

-Qin
发件人: Gregory Mirsky [mailto:[email-masked]]
发送时间: 2016年5月30日 12:53
收件人: Qin Wu; Carlos Pignataro (cpignata)
抄送: [email-masked]
主题: RE: [Lime] Passive performance measurement methods

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 07:26:20 +0000

Hi Qin,
in my view, active/passive vs. in-band/out-band are orthogonal characteristics of an OAM method. Passive OAM is always in-band as it uses the data flow itself. Active may be in-band (highly desired as it makes interpretation of OAM much unambiguous) or out-band. I think that in regard to definition of active/passive (and hybrid in between) RFC 7799 is as clear as it gets. And in-band vs. out-band is different characteristic of the OAM in the particular layer. E.g. Ethernet OAM is always in-band. So is MPLS if we use EL/ELI. IP – in general case, is not guaranteed to be in-band for multi-hop.
Hope that clarifies the issue.

                Regards,
                                Greg

From: Qin Wu [mailto:[email-masked]]
Sent: Monday, May 30, 2016 12:15 AM
To: Gregory Mirsky; Carlos Pignataro (cpignata)
Cc: [email-masked]
Subject: RE: [Lime] Passive performance measurement methods

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Huub van Helvoort <[email-masked]>
Date: Mon, 30 May 2016 09:35:03 +0200

Hello Greg,

I concur with your view.

In addition to that I notice that the passive/active/hybrid is
related to change in bandwidth. Changing bits/bytes without changing
the size of packets is considered passive, adding bits/bytes, packets
is considered active.

However there is another determining factor that has not been
considered (yet): latency.
No change in latency = passive (some services are sensitive to
change in latency).
Any change in latency = active.

Best regards, Huub.
------

> in my view, active/passive vs. in-band/out-band are orthogonal
> characteristics of an OAM method. Passive OAM is always in-band as it
> uses the data flow itself. Active may be in-band (highly desired as it
> makes interpretation of OAM much unambiguous) or out-band. I think that
> in regard to definition of active/passive (and hybrid in between) RFC
> 7799 is as clear as it gets. And in-band vs. out-band is different
> characteristic of the OAM in the particular layer. E.g. Ethernet OAM is
> always in-band. So is MPLS if we use EL/ELI. IP – in general case, is
> not guaranteed to be in-band for multi-hop.
>
> *From:*Qin Wu [mailto:[email-masked]]
> *Sent:* Monday, May 30, 2016 12:15 AM
> *To:* Gregory Mirsky; Carlos Pignataro (cpignata)
> *Cc:* [email-masked]
> *Subject:* RE: [Lime] Passive performance measurement methods
>
> Hi, Greg:
>
> Based on use cases you mentioned, not all the in-band methods are active
> measurement methods. Not all passive method are out-band.
>
> *发件人**:*Gregory Mirsky [mailto:[email-masked]]
> *发送时间:* 2016年5月30日 12:53
> *收件人:* Qin Wu; Carlos Pignataro (cpignata)
> *抄送:* [email-masked] <mailto:[email-masked]>
> *主题:* RE: [Lime] Passive performance measurement methods
>
> Hi Qin,
>
> *From:*Qin Wu [mailto:[email-masked]]
> *Sent:* Sunday, May 29, 2016 8:31 PM
> *To:* Gregory Mirsky; Carlos Pignataro (cpignata)
> *Cc:* [email-masked] <mailto:[email-masked]>
> *Subject:* RE: [Lime] Passive performance measurement methods
>
> *发件人**:*Lime [mailto:[email-masked]] *代表 *Gregory Mirsky
> *发送时间:* 2016年5月30日 10:59
> *收件人:* Qin Wu; Carlos Pignataro (cpignata)
> *抄送:* [email-masked] <mailto:[email-masked]>
> *主题:* Re: [Lime] Passive performance measurement methods
>
> Hi Qin,
>
> you’ve said:
>
> “I read some drafts discussed in IPPM, it looks generating OAM packet
> for measurement or defining dedicated PM protocol for measurement is
> labeled as passive method …”
>
> For example, draft-mirsky-bier-pmmm-oam describes how the marking method
> can be applied in BIER domain. Since it proposes to use field that
> neither used for determining the next hop, nor QoS treatment. BIER
> network processes the marked packet absolutely the same way as unmarked.
> But if we decide to apply the marking method, for example, to IPv4
> domain using , e.g. part of the DSCP field, then, obviously, marked
> packets may be treated differently.
>
> GIM>> If OAM packets don’t share the path, i.e. are in-band, with the
> data flow that is being monitored/measured that is a problem, not
> desired behavior.
>
> GIM>> Yes, in ECMP environment OWAMP/TWAMP test packet not guaranteed to
> follow the same path and the flow being monitored. Unfortunately.
>
> Another example of dedicated PM protocol is MPLS PM protocol. MPLS PM
> protocol define Loss measurement Message format, Delay Measurement
> Message format.
>
> GIM>> I cannot agree that MPLS PM would not follow the path of the same
> LSP it shares label with if we use GAL label and do hashing based on EL.
>
> What you proposed in draft-mirsky-bier-pmmm-oam is you extend BIER
> header with OAM support, which is in-band method. But you didn’t define
> dedicated OAM protocol or PM protocol for measurement, based on my
> understanding.
>
> GIM>> You use terminology I’m not familiar with. Note, that the PMMM-OAM
> draft doesn’t extend the BIER in MPLS network header but proposes new
> field and thus there’s no impact on any experimental implementation
> there may exist. Besides, BIER in MPLS network already recognizes OAM as
> distinct payload and that ensures that all active OAM, whether fault
> management or performance measurement, are in-band with data transported
> over BIER. Which is what is required behavior.
>
> [Qin]: See 3^rd paragraph of section 1 in
> draft-chen-ippm-coloring-based-ipfpm-framework-06
>
> You are also coauthor of this draft,J. In this draft, MPLS PM protocol
> [RFC6374] is categorized as passive measurement which I thought it
> should be active measurement.
>
> GIM>> To be precise, the draft says “could be considered an example of a
> passive performance measurement method”, i.e. assumes that it may be
> viewed. It was written before we had discussion that resulted in RFC
> 7799 that clarified the definitions. We’ll discuss and update in the
> next version, thank you.
>
> Passive, in my understanding means you don’t change packet header or
> payload, you don’t define new PM protocol, you just rely on network
> probe to get a copy of user traffic and use them to collect some metrics.
>
> GIM>> Copying traffic, i.e. mirroring it may or may not be classified as
> passive method, in my opinion, as that would depend upon number of
> copied packets and whether copies being transported in-band or over
> separate management network.
>
>                  Regards,
>
>                                  Greg
>
> *From:*Qin Wu [mailto:[email-masked]]
> *Sent:* Sunday, May 29, 2016 7:23 PM
> *To:* Carlos Pignataro (cpignata); Gregory Mirsky
> *Cc:* [email-masked] <mailto:[email-masked]>
> *Subject:* RE: [Lime] Passive performance measurement methods
>
> *发件人**:*Lime [mailto:[email-masked]] *代表 *Carlos Pignataro
> (cpignata)
> *发送时间:* 2016年5月30日 6:35
> *收件人:* Gregory Mirsky
> *抄送:* [email-masked] <mailto:[email-masked]>
> *主题:* Re: [Lime] Passive performance measurement methods
>
> Thank you, Greg.
>
> In my view, this might still be a bit of a gray area, where we need to
> early converge on definitions. I recommend linking with Al/ippm to review.
>
> Here’s an additional variable on the definition equation: there’s an
> area of measurement that is considered “passive marking methods”,
> meaning use existing traffic (and not inject synthetic packets), but
> slightly modify them / mark them. One such example is
> in draft-tempia-ippm-p3m-03, and in particular an area where you are a
> bit familiar with:
> https://tools.ietf.org/html/draft-tempia-ippm-p3m-03#section-4.3 :-)
>
> So setting specific bits in packets that do not modify the protocol
> behavior is not “truly passive”, but it is “kinda passive”.
>
> What’s the difference between injecting the artificial packets and
> appending data in the existing packets, it looks the latter is also
> called piggyback method as mentioned by Greg.
>
> For active, besides injecting artificial packets, you may also need to
> consider generating OAM packet for measurement, if the OAM packet
> generated goes the same way as user traffic, it is in band, if it goes
> the different way, it is out-band.
>
> I read some drafts discussed in IPPM, it looks generating OAM packet for
> measurement or defining dedicated PM protocol for measurement is labeled
> as passive method, which make me confused, can somebody clarify this a
> little bit to me?
>
> —Carlos.
>     On May 28, 2016, at 10:09 PM, Gregory Mirsky
>     <[email-masked] <mailto:[email-masked]>>
>     wrote:
>
>     Dear All,
>
>     out of our review of the draft-kumar-lime-yang-connectionless-oam I
>     took AP to provide reference to the definition of Passive Method.RFC
>     7799 <https://tools.ietf.org/html/rfc7799>Active and Passive Metrics
>     and Methods  (with Hybrid Types In-Between) is product of
>     discussions in IPPM WG. Section 3.6 opens with the detailed definition:
>
>     We’ve discussed whether methods that do alter a flow can be
>     considered truly Passive. The agreement was that if introduced
>     change does not affect treatment of the flow in the network, then
>     the method can be considered Passive. For example, marking method
>     that uses special field that not used in forwarding and/or in
>     policing/scheduling. At the same time, if the marking method changes
>     treatment of the flow, then it cannot be considered Passive but
>     likely can be characterized as Hybrid (see discussion in Section
>     3.8. To the same category belong methods that alter packet length.
>
>                      Regards,
>
>                                      Greg
>
>     [email-masked] <mailto:[email-masked]>
> [email-masked]

-- 
================================================================
Always remember that you are unique...just like everyone else...

---

From: Qin Wu <[email-masked]>
Date: Mon, 30 May 2016 07:45:02 +0000

Yes, in band and out band is another angle to categorize the OAM methods. I agree with your observation below.
So it looks to me piggyback method is also in band passive method.

-Qin
发送时间: 2016年5月30日 15:26

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 07:56:01 +0000

Hi Qin,
I see the piggy-back as hybrid method, not passive as it changes length of the data packet. Besides, the piggy-back is not the only method to collect the telemetry. The telemetry collection can be triggered by active OAM as documented in the https://datatracker.ietf.org/doc/draft-lapukhov-dataplane-probe/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dlapukhov-2Ddataplane-2Dprobe_&d=CwMFAg&c=5VD0RTtNlTh3ycd41b3MUw&r=LU_vJaM_EQu1Ssm35j2xlA&m=V44pRh0rYL1WRMQ5huDqjeBi35jKHaB-WvC_3M_aNWg&s=QcOcy1X8UHfdzd975mnt7fXkUpO8_km4CIacav0m8i8&e=>. Thus, as I believe, including particular method in the Common YANG data model is questionable.

            Regards,
                                Greg

From: Qin Wu [mailto:[email-masked]]
Sent: Monday, May 30, 2016 12:45 AM
To: Gregory Mirsky; Carlos Pignataro (cpignata)
Cc: [email-masked]
Subject: RE: [Lime] Passive performance measurement methods

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 30 May 2016 14:40:43 +0000

Greg, all,

Should we then have an ‘in-band’ category instead of ‘passive’?

Thanks,

Carlos.

On May 30, 2016, at 3:56 AM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

So setting specific bits in packets that do not modify the protocol behavior is not“truly passive”, but it is “kinda passive”.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 14:54:55 +0000

Hi Carlos,
we certainly can use it as characterization of the particular OAM method. But things  may get too detailed. Let’s consider BFD. While single-hop BFD is naturally in-band, multi-hop in IP networks is not guaranteed to be in-band in general case. But if it is IP/MPLS and hashing is based on EL, then, again it is in-band. What I wonder, why would OAM data model care whether OAM method is active or passive, in-band or out-band? To interpret the results? But that would and, from my point of view, is outside of the scope for the WG. The data model does present the state, but not its interpretation.

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Monday, May 30, 2016 7:41 AM
To: Gregory Mirsky
Cc: Qin Wu; [email-masked]
Subject: Re: [Lime] Passive performance measurement methods

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 30 May 2016 15:03:07 +0000

Greg,

Great points. It seems to me there’s an area that still remains somewhat undefined. What do we call adding a field or a shim into a packet to do some form of OAM (not necessarily measurements)? It is somewhat passive but somewhat active, it is inband, but purely active can be inband too.

I think the data model should care about it because it includes fairly different configuration and methods. Trying to generalize them might result in too much bloat and confusion, same as when we tried to generalize CL and C-O together. What do we call that for purposes of a YANG model?

Thanks,

Carlos.

On May 30, 2016, at 10:54 AM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Carlos,

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Monday, May 30, 2016 7:41 AM
To: Gregory Mirsky
Cc: Qin Wu; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lime] Passive performance measurement methods

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 30 May 2016 18:19:22 +0000

Hi Carlos,
thank you for your thoughtful comments and questions that stimulate the very good discussion.
Please find my notes in-line and tagged GIM>>.

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Monday, May 30, 2016 8:03 AM
To: Gregory Mirsky
Cc: Qin Wu; [email-masked]
Subject: Re: [Lime] Passive performance measurement methods

Greg,

Great points. It seems to me there’s an area that still remains somewhat undefined.
GIM>> Absolutely agree.
What do we call adding a field or a shim into a packet to do some form of OAM (not necessarily measurements)? It is somewhat passive but somewhat active, it is inband, but purely active can be inband too.
GIM>> As Al humorously named it “something in between”, i.e. hybrid.

I think the data model should care about it because it includes fairly different configuration and methods.
GIM>> Yes, the data model would be different, but it would be different whether we characterize it as active or passive, e.g. passive, in my view, unlikely to use RPC and there could be more specifics caused by uni-directional nature, predominantly, of the passive OAM methods.

Trying to generalize them might result in too much bloat and confusion, same as when we tried to generalize CL and C-O together. What do we call that for purposes of a YANG model?
GIM>> As stressed in RFC 7799, passive OAM is, primarily, observation. As I think of it, perhaps I’m too loaded with implementation experience to have good abstract model, it is model of ACL, rather than OAM. OAM characteristic comes from what we do with the results of our observation, not from the process of observation and definitely not from defining ACL to select or mark particular flow. I’d admit, these are very raw, initial thoughts and having discussion with IPPM and, perhaps, LMAP WGs would certainly help our efforts in LIME work.

Thanks,

Carlos.

Hi Carlos,

                Regards,
                                Greg

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Qin Wu <[email-masked]>
Date: Tue, 31 May 2016 00:58:19 +0000

Since passive oam is always in band. How about in-band passive OAM?

-Qin
发件人: Carlos Pignataro (cpignata) [mailto:[email-masked]]
发送时间: 2016年5月30日 22:41
收件人: Gregory Mirsky
抄送: Qin Wu; [email-masked]
主题: Re: [Lime] Passive performance measurement methods

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 31 May 2016 02:58:22 +0000

Hi Qin,
in general, passive OAM is in-band. But the method that increases the length of some packets from the given flow cannot be characterized as passive method is changed length of the packet does change network treatment, e.g. increases offered traffic that may affect QoS, e.g. packet colored yellow instead of green if not dropped altogether. Thus I suggest to characterize such methods, similar to the one discussed in IPPM WG, as hybrid.
But I have another, more general question to authors of the connectionless network OAM common YANG model. Why this method been included. Does it work in IP/MPLS as well as in IP? If not, then what is its analogous protocol? I think that the protocol, is not a standard yet, is that the case? Then how safe is to include its data model as part of Common OAM model for the large, if not dominant class of networks, connectionless networks that include IP and IP/MPLS? Personally, I think that it is too early and unwarranted.

                Regards,
                                Greg

From: Qin Wu [mailto:[email-masked]]
Sent: Monday, May 30, 2016 5:58 PM
To: Carlos Pignataro (cpignata); Gregory Mirsky
Cc: [email-masked]
Subject: 答复: [Lime] Passive performance measurement methods

-Qin
发件人: Carlos Pignataro (cpignata) [mailto:[email-masked]]
发送时间: 2016年5月30日 22:41
收件人: Gregory Mirsky
抄送: Qin Wu; [email-masked]<mailto:[email-masked]>
主题: Re: [Lime] Passive performance measurement methods

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Qin Wu <[email-masked]>
Date: Tue, 31 May 2016 05:47:25 +0000

Hi, Greg:
Here is my personal opinion. I think CL model most focus on active OAM model,what is missing is passive oam, or in band passive oam.
RFC7799 provides a clear definition for what is active, what is passive. IPPM did a lot passive method work, I think if we consider in band passive oam,
I think we can get inline with this piece of work and RFC779.

Below we are talking a lot about marking method, coloring method and other method, these help us better understand how we characterize various different OAM flavor.
For completeness, I think adding in band passive oam help us fill the gap. For your concern, you seems to believe IPPM haven’t come up with any concrete proposal for passive OAM
Technology. You seems to indicate coloring method is hybrid method. Did I understand you correctly?

-Qin
发送时间: 2016年5月31日 10:58

Hi Qin,

                Regards,
                                Greg

-Qin

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 31 May 2016 06:00:26 +0000

Hi Qin,
please find my notes in-line and tagger GIM>>.

                Regards,
                                Greg

From: Qin Wu [mailto:[email-masked]]
Sent: Monday, May 30, 2016 10:47 PM
To: Gregory Mirsky; Carlos Pignataro (cpignata)
Cc: [email-masked]
Subject: RE: [Lime] Passive performance measurement methods

Hi, Greg:
Here is my personal opinion. I think CL model most focus on active OAM model,what is missing is passive oam, or in band passive oam.
GIM>> I wouldn’t say “missing”. Besides, it seems to me more logical to stabilize CL model before we start looking for “missing” pieces.

RFC7799 provides a clear definition for what is active, what is passive. IPPM did a lot passive method work, I think if we consider in band passive oam,
I think we can get inline with this piece of work and RFC779.
GIM>> I wouldn’t characterize it as “a lot” IPPM is only now to adopt draft-tempia-ippm-p3m-03 as informational. What are other passive OAM documents out of IPPM WG you can point to?

Below we are talking a lot about marking method, coloring method and other method, these help us better understand how we characterize various different OAM flavor.
GIM>> Marking method, coloring method are different names of the same method. And that indicates, to me, that the technology is still developing and it may be too early, premature to generalize its data model.

For completeness, I think adding in band passive oam help us fill the gap. For your concern, you seems to believe IPPM haven’t come up with any concrete proposal for passive OAM
Technology. You seems to indicate coloring method is hybrid method. Did I understand you correctly?
GIM>> It depends on how coloring/marking method being applied. In the Overlay OAM DT and in BIER WG we set forth certain requirements to the encapsulation of the overlay so that the mark would not affect network treatment. In other layers application of the mark would affect, change network and thus it cannot be characterized as passive. In short, it depends.

-Qin

Hi Qin,

                Regards,
                                Greg

-Qin

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Huub van Helvoort <[email-masked]>
Date: Tue, 31 May 2016 10:28:42 +0200

Hello Carlos,

> Should we then have an ‘in-band’ category instead of ‘passive’?

How would you categorise OAM that is sent in the data plane (in-band)
and the response is via the control plane (out-band)?

Cheers, Huub.

>> On May 30, 2016, at 3:56 AM, Gregory Mirsky
>> <[email-masked] <mailto:[email-masked]>> wrote:
>>
>> Hi Qin,
>> I see the piggy-back as hybrid method, not passive as it changes
>> length of the data packet. Besides, the piggy-back is not the only
>> method to collect the telemetry. The telemetry collection can be
>> triggered by active OAM as documented in
>> thehttps://datatracker.ietf.org/doc/draft-lapukhov-dataplane-probe/
>> <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dlapukhov-2Ddataplane-2Dprobe_&d=CwMFAg&c=5VD0RTtNlTh3ycd41b3MUw&r=LU_vJaM_EQu1Ssm35j2xlA&m=V44pRh0rYL1WRMQ5huDqjeBi35jKHaB-WvC_3M_aNWg&s=QcOcy1X8UHfdzd975mnt7fXkUpO8_km4CIacav0m8i8&e=>.
>> Thus, as I believe, including particular method in the Common YANG
>> data model is questionable.
>>             Regards,
>>                                 Greg
>> *Sent:*Monday, May 30, 2016 12:45 AM
>> *To:*Gregory Mirsky; Carlos Pignataro (cpignata)
>> *Cc:[email-masked] <mailto:[email-masked]>
>> *Subject:*RE: [Lime] Passive performance measurement methods
>> Yes, in band and out band is another angle to categorize the OAM
>> methods. I agree with your observation below.
>> *发送时间:*2016年5月30日15:26
>> *收件人:*Qin Wu; Carlos Pignataro (cpignata)
>> *抄送:[email-masked] <mailto:[email-masked]>
>> *主题:*RE: [Lime] Passive performance measurement methods
>> Hi Qin,
>> makes interpretation of OAM much unambiguous) or out-band. I think
>> that in regard to definition of active/passive (and hybrid in between)
>> RFC 7799 is as clear as it gets. And in-band vs. out-band is different
>> characteristic of the OAM in the particular layer. E.g. Ethernet OAM
>> is always in-band. So is MPLS if we use EL/ELI. IP – in general case,
>> is not guaranteed to be in-band for multi-hop.
>> *Sent:*Monday, May 30, 2016 12:15 AM
>> *To:*Gregory Mirsky; Carlos Pignataro (cpignata)
>> *Cc:[email-masked] <mailto:[email-masked]>
>> *Subject:*RE: [Lime] Passive performance measurement methods
>> Hi, Greg:
>> Thanks for your clarification, It looks you agree that MPLS PM
>> protocol provides active measurement method.
>> Based on use cases you mentioned, not all the in-band methods are
>> active measurement methods. Not all passive method are out-band.
>> *发送时间:*2016年5月30日12:53
>> *收件人:*Qin Wu; Carlos Pignataro (cpignata)
>> *抄送:[email-masked] <mailto:[email-masked]>
>> *主题:*RE: [Lime] Passive performance measurement methods
>> Hi Qin,
>> *Sent:*Sunday, May 29, 2016 8:31 PM
>> *To:*Gregory Mirsky; Carlos Pignataro (cpignata)
>> *Cc:[email-masked] <mailto:[email-masked]>
>> *Subject:*RE: [Lime] Passive performance measurement methods
>> *发件人**:*Lime [mailto:[email-masked]]*代表*Gregory Mirsky
>> *发送时间:*2016年5月30日10:59
>> *收件人:*Qin Wu; Carlos Pignataro (cpignata)
>> *抄送:[email-masked] <mailto:[email-masked]>
>> *主题:*Re: [Lime] Passive performance measurement methods
>> Hi Qin,
>> you’ve said:
>> For example, draft-mirsky-bier-pmmm-oam describes how the marking
>> method can be applied in BIER domain. Since it proposes to use field
>> that neither used for determining the next hop, nor QoS treatment.
>> BIER network processes the marked packet absolutely the same way as
>> unmarked. But if we decide to apply the marking method, for example,
>> to IPv4 domain using , e.g. part of the DSCP field, then, obviously,
>> marked packets may be treated differently.
>> GIM>> Yes, in ECMP environment OWAMP/TWAMP test packet not guaranteed
>> to follow the same path and the flow being monitored. Unfortunately.
>> GIM>> I cannot agree that MPLS PM would not follow the path of the
>> same LSP it shares label with if we use GAL label and do hashing based
>> on EL.
>> header with OAM support, which is in-band method. But you didn’t
>> define dedicated OAM protocol or PM protocol for measurement, based on
>> my understanding.
>> GIM>> You use terminology I’m not familiar with. Note, that the
>> PMMM-OAM draft doesn’t extend the BIER in MPLS network header but
>> proposes new field and thus there’s no impact on any experimental
>> implementation there may exist. Besides, BIER in MPLS network already
>> recognizes OAM as distinct payload and that ensures that all active
>> OAM, whether fault management or performance measurement, are in-band
>> with data transported over BIER. Which is what is required behavior.
>> GIM>> To be precise, the draft says “could be considered an example of
>> a passive performance measurement method”, i.e. assumes that it may be
>> GIM>> Copying traffic, i.e. mirroring it may or may not be classified
>> as passive method, in my opinion, as that would depend upon number of
>> *Sent:*Sunday, May 29, 2016 7:23 PM
>> *To:*Carlos Pignataro (cpignata); Gregory Mirsky
>> *Cc:[email-masked] <mailto:[email-masked]>
>> *Subject:*RE: [Lime] Passive performance measurement methods
>> *发件人**:*Lime [mailto:[email-masked]]*代表*Carlos Pignataro
>> (cpignata)
>> *发送时间:*2016年5月30日6:35
>> *收件人:*Gregory Mirsky
>> *抄送:[email-masked] <mailto:[email-masked]>
>> *主题:*Re: [Lime] Passive performance measurement methods
>> Thank you, Greg.
>> area of measurement that is considered“passive marking methods”,
>> https://tools.ietf.org/html/draft-tempia-ippm-p3m-03#section-4.3:-)
>> behavior is not“truly passive”, but it is“kinda passive”.
>> Active—artificial packets injected.
>> Passive—existing unmodified packets.
>> ???—existing packets with slightly appended data.
>> Thoughts?
>> I read some drafts discussed in IPPM, it looks generating OAM packet
>> labeled as passive method, which make me confused, can somebody
>> clarify this a little bit to me?
>>     out of our review of the draft-kumar-lime-yang-connectionless-oam
>>     I took AP to provide reference to the definition of Passive
>>     Method.RFC 7799 <https://tools.ietf.org/html/rfc7799>Active and
>>     Passive Metrics and Methods  (with Hybrid Types In-Between) is
>>     product of discussions in IPPM WG. Section 3.6 opens with the
>>     detailed definition:
>>     policing/scheduling. At the same time, if the marking method
>>     changes treatment of the flow, then it cannot be considered
>>     Passive but likely can be characterized as Hybrid (see discussion
>>     in Section 3.8. To the same category belong methods that alter
>>     packet length.
>>                     Regards,
>>                                     Greg

---

From: Qin Wu <[email-masked]>
Date: Tue, 31 May 2016 09:45:33 +0000

Hi, Greg:
Thank for your clarification on your concern. It looks we relax passive definition in RFC7799 and extend to cover other flavors based on criteria you proposed(no change to network treatment)
I am wondering whether we should distinguish more “conservative” passive oam (which doesn’t change data packet )from “aggressive” passive OAM (which change data packet but still be labeled as passive).
I can see passive OAM is widely adopted in the practice, but I am not sure there are any other passive method work to be covered besides what IPPM is doing.
Since I can not find too many referenced work that is related to passive OAM. From this sense, I agree with you.

-Qin
发送时间: 2016年5月31日 14:00

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

-Qin

Greg, all,

Thanks,

Carlos.

Hi Qin,

            Regards,
                                Greg

-Qin

Hi Qin,

                Regards,
                                Greg

Hi, Greg:

-Qin

Hi Qin,

                Regards,
                                Greg

Hi Qin,
you’ve said:

                Regards,
                                Greg

Thank you, Greg.

Thoughts?

Thanks,

— Carlos.

Dear All,

                Regards,
                                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 31 May 2016 14:41:58 +0000

Hi Huub,

this is very interesting question. In some aspect, we've tried to address it in BFD directed draft<https://tools.ietf.org/html/draft-ietf-mpls-bfd-directed-02> to control the reverse direction for BFD over MPLS LSP session. As for PM OAM, if the method is uni-directional, then we still can refer to it as in-band. If it is bi-directional, then, in my opinion, it is poorly designed and unreliable method as it would not produce useful metrics that reflect behavior of the bi-directional flow.

                Regards,

                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Tuesday, May 31, 2016 1:29 AM
To: [email-masked]
Subject: Re: [Lime] Passive performance measurement methods

Hello Carlos,

> Should we then have an ‘in-band’ category instead of ‘passive’?

How would you categorise OAM that is sent in the data plane (in-band) and the response is via the control plane (out-band)?

Cheers, Huub.

>> <[email-masked] <mailto:[email-masked]<mailto:[email-masked]%20%3cmailto:[email-masked]>>> wrote:

>> *From:*Qin Wu [mailto:[email-masked]] *Sent:*Monday, May 30, 2016

>> 12:45 AM *To:*Gregory Mirsky; Carlos Pignataro (cpignata)

>> *Subject:*RE: [Lime] Passive performance measurement methods Yes, in

>> band and out band is another angle to categorize the OAM methods. I

>> agree with your observation below.

>> *主题:*RE: [Lime] Passive performance measurement methods Hi Qin, in my

>> view, active/passive vs. in-band/out-band are orthogonal

>> uses the data flow itself. Active may be in-band (highly desired as

>> it makes interpretation of OAM much unambiguous) or out-band. I think

>> that in regard to definition of active/passive (and hybrid in

>> between) RFC 7799 is as clear as it gets. And in-band vs. out-band is

>> different characteristic of the OAM in the particular layer. E.g.

>> Ethernet OAM is always in-band. So is MPLS if we use EL/ELI. IP – in

>> general case, is not guaranteed to be in-band for multi-hop.

>> *From:*Qin Wu [mailto:[email-masked]] *Sent:*Monday, May 30, 2016

>> 12:15 AM *To:*Gregory Mirsky; Carlos Pignataro (cpignata)

>> *Subject:*RE: [Lime] Passive performance measurement methods Hi,

>> Greg:

>> But unlike OWAMP, TWMAP(could be out band), MPLS PM provides an

>> in-band measurement method.

>> *主题:*RE: [Lime] Passive performance measurement methods Hi Qin, thank

>> you for your most expedient response. Please find my notes in-line

>> and tagged GIM>>.

>> *From:*Qin Wu [mailto:[email-masked]] *Sent:*Sunday, May 29, 2016

>> 8:31 PM *To:*Gregory Mirsky; Carlos Pignataro (cpignata)

>> *主题:*Re: [Lime] Passive performance measurement methods Hi Qin,

>> [Qin]: I thought dedicated PM protocol message is one special example

>> of special test packet.

>> [Qin]: Not sure I get this. Usually dedicated PM protocol doesn’t

>> need to take the same path as user traffic.

>> same LSP it shares label with if we use GAL label and do hashing

>> based on EL.

>> define dedicated OAM protocol or PM protocol for measurement, based

>> on my understanding.

>> And I curious, which drafts suggest that generating OAM packets

>> produces passive method?

>> You are also coauthor of this draft,J. In this draft, MPLS PM

>> protocol [RFC6374] is categorized as passive measurement which I

>> thought it should be active measurement.

>> GIM>> To be precise, the draft says “could be considered an example

>> GIM>> of

>> a passive performance measurement method”, i.e. assumes that it may

>> be viewed. It was written before we had discussion that resulted in

>> RFC

>> *From:*Qin Wu [mailto:[email-masked]] *Sent:*Sunday, May 29, 2016

>> 7:23 PM *To:*Carlos Pignataro (cpignata); Gregory Mirsky

>> *主题:*Re: [Lime] Passive performance measurement methods Thank you,

>> Greg.

>> In my view, this might still be a bit of a gray area, where we need

>> to early converge on definitions. I recommend linking with Al/ippm to review.

>> slightly modify them / mark them. One such example is in

>> draft-tempia-ippm-p3m-03, and in particular an area where you are a

>> Consequently, perhaps we need to find other definitions of in-band vs.

>> out-of-band.

>> For active, besides injecting artificial packets, you may also need

>> to consider generating OAM packet for measurement, if the OAM packet

>> generated goes the same way as user traffic, it is in band, if it

>> goes the different way, it is out-band.

>>     <[email-masked] <mailto:[email-masked]<mailto:[email-masked]%20%3cmailto:[email-masked]>>>

>>        o  dependent on the existence of one or more packet streams to

>>     supply

>>        o  dependent on the presence of the packet stream of interest

>>     at one

>>     [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>

--

Lime mailing list

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 31 May 2016 15:55:41 +0000

Hello, Huub,

On May 31, 2016, at 4:28 AM, Huub van Helvoort <[email-masked]<mailto:[email-masked]>> wrote:

Hello Carlos,

You wrote:

Good point. This is a very real question, given the ‘reply mode’ options in LSP Ping and BFD.

If a “response” is sent via the control plane, I tend to think that that’s separate from the forward direction, which gives the categorization. For example, LIME models include configuration. If we configure an inband probe at the originator, we can also configure a reply mode for that probe. For a PM case, for example, if the actual measurement is done on the forward direction but then a response is sent, somewhere, via whichever means, that is a collection of stats and not an instantiation of OAM.

The challenge I see is that there’s an important set of permutations of all these cases...

Cheers, Huub.

Hello, Greg,

On May 31, 2016, at 10:41 AM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Huub,

This is similar to what I alluded to — if the PM method acts on one direction, in-band, then I believe LIME should separate the actual ‘telemetry’ / PM from the collection of measurements.

Thanks,

— Carlos.

                Regards,
                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Tuesday, May 31, 2016 1:29 AM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Lime] Passive performance measurement methods

Hello Carlos,

Cheers, Huub.

>> *Cc:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *抄送:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *Cc:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *抄送:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *Cc:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *抄送:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *Cc:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> *抄送:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>

---

From: "Deepak Kumar (dekumar)" <[email-masked]>
Date: Wed, 1 Jun 2016 03:28:36 +0000

Hi,

If for protocol like LSP ping, TRILL, etc. response come out of band, but that's protocol behavior and data generated from both method for receive of frame is same which is what Yang objects are providing.
I can see RPC extension for Transmit in protocol specific part to add method to be carried in packet that reply mode is out of band, but then it's protocol specific augmentation.
I believe as this RPC driven it's Active OAM.

In case of Passive OAM ("Match and Mirror OAM" looks better term from forwarding) it's basically counting data packet(s) with Matching criterion configured throughout the network and no RPC in network is involved to generate the packets.
In this some OAM solution do increase the size of packet (piggy back) when certain capability is turned on, but some just redirect it to controller for processing (Alibaba OAM, https://tools.ietf.org/html/draft-pang-nvo3-vxlan-path-detection-02) without changing the data packet.

Thanks,
Deepak

From: Lime <[email-masked]<mailto:[email-masked]>> on behalf of "Carlos Pignataro (cpignata)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, May 31, 2016 at 8:55 AM
To: Gregory Mirsky <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lime] Passive performance measurement methods

Hello, Huub,

Hello Carlos,

You wrote:

Cheers, Huub.

Hello, Greg,

Hi Huub,

Thanks,

— Carlos.

                Regards,
                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Tuesday, May 31, 2016 1:29 AM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Lime] Passive performance measurement methods

Hello Carlos,

Cheers, Huub.

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 1 Jun 2016 05:35:31 +0000

Hi Deepak,
thank you for providing the reference to the draft to which the YANG model has been added. I think that adding a data model of individual draft not yet adopted by the NVO3 WG  to the document that describes generic OAM mechanisms that are being used in the CL networks is premature step at this time. I’d not see the draft draft-kumar-lime-yang-connectionless-oam  in its current form as the reasonable foundation for the WG adoption.

                Regards,
                                Greg

From: Deepak Kumar (dekumar) [mailto:[email-masked]]
Sent: Tuesday, May 31, 2016 8:29 PM
To: Carlos Pignataro (cpignata); Gregory Mirsky
Cc: [email-masked]; [email-masked]
Subject: Re: [Lime] Passive performance measurement methods

Hi,

Thanks,
Deepak

Hello, Huub,

Hello Carlos,

You wrote:

Cheers, Huub.

Hello, Greg,

Hi Huub,

Thanks,

— Carlos.

                Regards,
                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Tuesday, May 31, 2016 1:29 AM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Lime] Passive performance measurement methods

Hello Carlos,

Cheers, Huub.

---

From: "Deepak Kumar (dekumar)" <[email-masked]>
Date: Wed, 1 Jun 2016 06:25:32 +0000

Hi Greg,

Thanks for comments.

Carlos/Ron,

Please provide guidance as we can move things that are not RFC based definition for passive oam to another draft so current draft is more acceptable for WG adoption as per working group comments few modifications are premature.

Thanks
Deepak

Sent from my iPhone

On Jun 1, 2016, at 11:05 AM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Deepak,

                Regards,
                                Greg

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Hi,

Thanks,
Deepak

Hello, Huub,

Hello Carlos,

You wrote:

Cheers, Huub.

Hello, Greg,

Hi Huub,

Thanks,

— Carlos.

                Regards,
                                Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Tuesday, May 31, 2016 1:29 AM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Lime] Passive performance measurement methods

Hello Carlos,

Cheers, Huub.